.TH snmpa_error_report 3 "snmp  4.13.5" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
snmpa_error_report \- Behaviour module for reporting SNMP agent errors
.SH DESCRIPTION
.LP
This module defines the behaviour of the agent error reporting\&. A \fIsnmpa_error_report\fR compliant module must export the following functions: 
.RS 2
.TP 2
*
config_err/2
.TP 2
*
user_err/2
.RE
.LP
The semantics of them and their exact signatures are explained below\&. 

.SH EXPORTS
.LP
.B
config_err(Format, Args) -> void()
.br
.RS
.TP
Types
Format = string()
.br
Args = list()
.br
.RE
.RS
.LP
The function is called if an error occurs during the configuration phase, for example if a syntax error is found in a configuration file\&. 
.LP
\fIFormat\fR and \fIArgs\fR are as in \fIio:format(Format, Args)\fR\&.
.RE
.LP
.B
user_err(Format, Args) -> void()
.br
.RS
.TP
Types
Format = string()
.br
Args = list()
.br
.RE
.RS
.LP
The function is called if a user related error occurs at run-time, for example if a user defined instrumentation function returns erroneous\&. 
.LP
\fIFormat\fR and \fIArgs\fR are as in \fIio:format(Format, Args)\fR\&.
.RE
